Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.relational
Class Datatype

    java.lang.Object
      org.hibernate.metamodel.relational.Datatype

    public class Datatype

extends Object

Models a JDBC `DATATYPE`

Constructor Summary
`Datatype(int typeCode, String typeName, Class javaType)`

Method Summary
`boolean` | `equals(Object o)`
`Class` | `getJavaType()`
`int` | `getTypeCode()`
`String` | `getTypeName()`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Datatype

    public Datatype(int typeCode,
                    String typeName,
                    Class javaType)

Method Detail

### getTypeCode

    public int getTypeCode()

### getTypeName

    public String getTypeName()

### getJavaType

    public Class getJavaType()

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.